Public Class ucFormularioPregunta
    Inherits ucBase

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        RegisterCustomMessage(cbpPregunta)
        If Not IsPostBack Then
            Dim anio As DateTime = Now.Date.AddYears(-18)
            fechaNacimiento.MaxDate = anio
            fechaNacimiento.NullText = anio

        End If


    End Sub

    Protected Sub cbpPregunta_Callback(sender As Object, e As DevExpress.Web.CallbackEventArgsBase) Handles cbpPregunta.Callback
        Dim msg As New MSG("Pregunta")
        Dim mensaje As String = String.Format("<table border='1'><tr><td>Login:</td><td>{0}</td></tr><tr><td>Fecha:</td><td>{1}</td></tr><tr><td>Correo:</td><td>{2}</td></tr></table><br />{3}", txtDUI.Text, fechaNacimiento.Text, txtEmail.Text, txtMensaje.Text)
        Try
            msg = SistemasBusinessObject.EnviarCorreoSoporte(txtEmail.Text, "EMPLEO Soporte", mensaje)
            If msg.EventType = dGen.Library.Entity.MSG.MsgType.Success Then

                CustomMessage("Se ha enviado su pregunta", "Pregunta técnica", cbpPregunta)
                ASPxFormLayout1.Visible = False
                ltlMensaje.Visible = True
                ltlMensaje.Text = "Su pregunta ha sido enviada."
            Else
                CustomMessage(msg, "Error de envío de información", cbpPregunta)
                ltlMensaje.Visible = True
                ltlMensaje.Text = "Hubo un error en el envío de información."
            End If
        Catch ex As Exception
            CustomMessage(msg, "Error de envío de información", cbpPregunta)
            ltlMensaje.Visible = True
            ltlMensaje.Text = "Hubo un error en el envío de información."
        End Try
    End Sub
End Class